+ новая возможность
- исправление ошибки
! изменение или исправление, которое может повлиять на работу соответствующих подсистем и требуется тщательное тестирование

  AMConsole 5.2
-----------------------------------------------------------------
--- 5.2.468 --- 17.03.2025
- [278475] help В Указатель добавлены ключевые слова jwt, JSON Web Token,
           Active Directory и LDAP

--- 5.2.467 --- 17.03.2025
+ [278475] help по jwt

--- 5.2.465 --- 07.10.2024
+ [269620] help по ldap.query.groups

--- 5.2.464 --- 27.08.2024
+ [192313] возможность загружать через командную строку обновления asmo-client v6 на сервер
- [260805] обновление описания для подключения к серверу и исправление ошибок в документации (help)

--- 5.2.462 --- 14.06.2024
+ [262971] при получении логов учитывать, что они могут быть в кодировке utf8
- [262992] изменены иконки информации и help

--- 5.2.460 --- 23.11.2023
- minor fixes

--- 5.2.459 --- 13.10.2023
- Исправлено в настройке HTTPS Linux и Windows http_port=80 (перенесён на другую строку) и убраны лишние отступы

--- 5.2.458 --- 12.10.2023
- [253376] Картинки в виде ссылки на файлы. Улучшение качества
+ [252695] Добавлена документация (help) по словарям

--- 5.2.457 --- 13.09.2023
- [250597] некорректная кодировка в описании продукта при подписовании кода
+ [252251] help по настройки Active Directory для Windows и Linux
+ [253370] help исправлено форматирование

--- 5.2.443 --- 05.06.2023
- [205179] help по настройке https-портов

--- 5.2.442 --- 26.04.2023
- ошибочно не включался help в дистрибутив начиная с версии 5.2.438

--- 5.2.441 --- 10.04.2023
- включение по умолчанию системного масштабирования на high dpi мониторах

--- 5.2.440 --- в разработке
+ Подпись кода

--- 5.2.438 --- 15.12.2022
- [197907] не учитывать web-сессии в количестве клиентов при показе в asmconsole

--- 5.2.436 --- 10.11.2022
+ [196916] обновление help по настройке https-портов
- [196934] в окне информации агента по пользователям возможность скрыть/показать веб-сессии агента(по кнопке в панели инструментов),
           делать недостпной кнопку и пункт меню по отключению клиента на элементе с веб-сессией
- [196852] обновление help для аргументов запуска агента
- [196549] обновление help для db.conf

--- 5.2.435 --- 20.10.2022
- [196434] обновление help строки подключения
+ [196516] разделение баз по хостам при подключении к серверу приложений

--- 5.2.433 --- 30.09.2022
+ [196107] обновление help AD
- [195668] добавлены примеры по настройке am.ini в справку

--- 5.2.422 --- 28.04.2022
+ [192013] - загрузка обновлений учебной версии

--- 5.2.421 --- 13.12.2021
+ [187701] хелп по настройке fqdn в am.ini

--- 5.2.414 --- 06.07.2021
+ [183186] хелп по запуску и остановке агентов по расписанию
+ [183187] отдельный пункт меню для редактирования am.ini

--- 5.2.413 --- 15.06.2021
+ help restart_time

--- 5.2.412 --- 01.06.2021
+ [181950] help по строкам подключения к СУБД и созданию новой базы H2
+ [181951] help по генераторам

--- 5.2.411 --- 25.01.2021
+ [178997] help по настройке аутентификации AD
- [178113] отображение ошибки при сбое обновления

--- 5.2.410 --- 02.11.2020
- [177677] определение размера загружаемого файла

--- 5.2.409 --- 08.09.2020
- [176349] ошибка отмены обновления из командной строки

--- 5.2.408 --- 02.07.2020
- [169351] правка подсказки для отображения времени работы агента

--- 5.2.407 --- 30.06.2020
+ [169351] отображение всех клиентов агента
- [174823] отображение процесса загрузки

--- 5.2.406 --- 22.06.2020
+ [174652] справка по настройке управления соединениями агента с субд

--- 5.2.405 --- 11.06.2020
+ [173671] отображение процесса загрузки

--- 5.2.404 --- 19.05.2020
+ [172691] отображение в списке агентов: количество подключений к бд, % использования памяти, резидентная память, память свопа, время запуска
           отображение в статусной строке: общее количество клиентов, общее количество подключений к бд от всех агентов
+ [172682] в окне информации об агенте отображать в списке подключений к субд время создания и длительность подключения

--- 5.2.403 --- 20.11.2019
+ [167744] отображать в списке обновлений дату файла, при переключении на другой список позиционироваться в начало

--- 5.2.402 --- 30.10.2019
+ [167288] шаблон файла для обновлений агента зависит от типа ОС агент менеджера

--- 5.2.400 --- 30.09.2019
- [166543] показывать где находятся файлы обновлений в заголовке списка файлов
+ [166218] замена табов в окне обновлений на дерево, контроль имен, автоматический upload для клиентов

--- 5.2.326 --- 19.03.2018
+ [148292] загрузка обновлений thinclient

--- 5.2.325 --- 26.12.2017
+ [148294] в справку добавлено описание процесса балансировки

--- 5.2.324 --- 21.11.2017
- [147515] не показываются пользователи, если у агента есть подключения через web

--- 5.2.323 --- 07.11.2017
- [146596] в анализаторе логов не учитывались изменения записи id реплики

--- 5.2.322 --- 02.11.2017
- [147103] при анализе лога не учитывался последний символ в строке
- [147104] при анализе лога не учитывались принимающие реплики

--- 5.2.321 --- 12.09.2017
+ [143493] отображать клиентский порт в списке агентов

--- 5.2.320 --- 04.05.2017
+ [141465] amconsole показывать session_id и agentInstanceID

--- 5.2.318 --- 19.04.2017
- [141137] неправильно передаются параметры в запросе телеметрии агента

--- 5.2.317 --- 19.04.2017
- [140985] переиспользовать номера параллельных агентов, показывать их в amconsole, возможность подключения клиента по этому номеру
- [140964] не правильный показ heavy агентов в amconsole

--- 5.2.316 --- 14.04.2017
- [140961] улучшено отображение графиков в статистике

--- 5.2.315 --- 14.04.2017
- [139762] возможность запуска конкретного процесса агента, если настроено несколько процессов в агенте

--- 5.2.314 --- 05.04.2017
+ [139968] время cpu в телеметрии
+ [140044] время cpu в статистике

--- 5.2.313 --- 04.04.2017
+ [139760] perf: amconsole автодополнение при редактировании конфигурационных файлов
+ [139860] На странице "Состояние" показывается общее количество запросов и информация об изменении этого количества
+ [139859] переделано отображение статистики на графике

--- 5.2.312 --- 30.03.2017
+ [139141] выделение агентов, настроенных как тяжелые
- [139498] ограничение открытия лога на просмотр по доступной памяти, оптимизация выделенной памяти при просмотре лога

--- 5.2.311 --- 24.03.2017
- [139583] не выводить heap у незапущенных агентов
- [139583] не писать лишнюю информацию, если агент не запущен; перестала выводиться доступная версия обновления клиента;
           исправлено форматирование

--- 5.2.310 --- 23.03.2017
+ [139544] pid агента в amconsole
+ [139545] java heap/max heap в amconsole
+ [139546] телеметрия в amconsole

--- 5.2.309 --- 16.03.2017
+ [139140] perf: показатели am для алгоритма балансировки

--- 5.2.307 --- 09.03.2017
- [138902] исправлена ошибка соединения с сервером после обновления am

--- 5.2.306 --- 26.02.2017
+ [137999] perf: Запуск агента в несколько процессов worker_processes в am.ini
+ [138084] help по файлам конфигураций am.in, pha.conf, db.conf
- [138371] исправлена ошибка фильтрации серверного лога по потоку

--- 5.2.305 --- 31.01.2017
+ [138083] доработаны заголовки пунктов меню, справка по db.conf
+ [137075] возможность редактировать db.conf в amconsole

--- 5.2.303 --- 22.12.2016
- [136896] невозможно редактировать am.ini если пустой список агентов

--- 5.2.302 --- 29.11.2016
- [136015] другой хинт кнопки, время задачи в мсек, не показывать callstack у выполненных задач, context показывать отдельно

--- 5.2.301 --- 26.11.2016
+ [135845] возможность просмотра последних уже выполненных задач

--- 5.2.300 --- 25.11.2016
+ [135614] возможность отключить всех пользователей агента

--- 5.2.107 --- 20.09.2016
- [132688] в столбце 'Время работы' отображалось текущее время системных часов, а не время работы агента

--- 5.2.106 --- 12.08.2016
- [131532] анализатор лог-файлов: исправлена ошибка фильтрации по ProcID и ThreadID

--- 5.2.105 --- 30.06.2016
+ [130214] автоматизированное обновление: массовое удаление загруженных zip-архивов
+ [130360] pha.conf: возможность редактирования
+ [130515] консольная загрузка файлов обновлений (--upload): автоопределение каталога назначения по имени файла обновления
+ [130672] ui: быстрый поиск в гридах: списки серверов, агентов и обновлений

--- 5.2.104 --- 20.06.2016
+ [130180] диаграммы: масштабирование колесом мыши
+ [130347] ui: списки серверов, агентов и обновлений: поиск, сортировка и копирование строк в буфер обмена

--- 5.2.103 --- 30.05.2016
- [121278] форма списка обновлений: ошибка при отображении записи, если имя файла в формате '<имя>-<maj>.<min>.zip'
- [121278] форма списка обновлений: отображение подсказок о причинах игнорирования файлов обновлений
+ [126005] форма списка обновлений: подсветка файлов обновлений, при обработке которых возникли ошибки

--- 5.2.102 --- 18.05.2016
- [129480] cli: при ошибке загрузки обновления на сервер, выводилось сообщение 'Готово'

--- 5.2.101 --- 18.03.2016
- [126691] не правильно сортировался список пользователей агента
- [126691] убраны пункты меню 'Добавить агент' и 'Настройки агента'

--- 5.2.100 --- 29.02.2016
- [124581] не отображались имена прокси-агентов

--- 5.2.13 --- 20.01.2016
+ [117025] хранение данных в реестре
+ [117025] поддержка множества пользователей
+ [124581] ui: улучшено отображение при высоких dpi

--- 5.2.12 --- 12.11.2015
+ [120889] возможность убить стартующий/останавливающийся процесс агента

--- 5.2.11 --- 21.09.2015
- minor adt changes

--- 5.2.10 --- 17.09.2015
+ [120308] логи: поддержка отображения размеров логов больше 4ГБ
- [119570] при запуске показывалось главное окно, если оно было закрыто минимизированным

--- 5.2.09 --- 11.09.2015
+ [120131] обновления агентов: отображение необработанных файлов в каталоге обновлений, поддержка команды повторного чтения каталога

--- 5.2.08 --- 04.08.2015
- [118357] при сохранении лога агента на диск, в файле появлялись \0-символы
- [118946] форма обновлений: новая иконка у кнопки добавить, позиционирование на загруженном обновлении
- [118946] cli: загрузка обновлений на сервер (--upload)

--- 5.2.07 --- 10.06.2015
+ [117180] информация об агенте: отображение версии jvm

--- 5.2.06 --- 29.05.2015
- [116059] форма обновлений: удаление обновлений по Ctrl+Del
- [116059] форма обновлений: исправлено сообщение 'Пометить обновление: ... как обновление с ошибками'

--- 5.2.05 --- 18.05.2015
+ [115042] отображение сверхдлительных задач
+ [116341] улучшено отображение операции блокирования/разблокирования в логе

--- 5.2.02 --- 13.05.2015
+ [104663] отображение портов агентов
+ возможность скачать часть лога напрямую в файл

--- 5.2.01 --- 11.03.2015
- [103642] в форме 'Статистика сервера' не правильно отображались процентные значения
+ [103642] отображение загрузки сборщика мусора в списке агентов
+ [101178] уравновешен состав контекстных меню и меню, выпадающих из главной панели инструментов
+ [101178] подсветка имён неподдерживаемых параметров конфигурации
+ [101178] очистка каталога развёрнутых агентов
+ [103642] отображение загрузки CPU потоками агента
- [103587] восстановлена работа кнопки 'Настройки агента' (для am-5.1)
+ [111318] одновременное редактирование всех карточек агента единым документом
! [112322] am.ini: возврат к централизованной конфигурации

--- 5.2.0 --- 30.09.2014
- [96559] поддержка карточек агентов
+ [100356] управление версиями агентов
+ [100413] управление версиями клиентов
+ [100206] консоль агента
- [101286] AV при закрытии главного окна программы
+ [98765] удалённые агенты: запрет редактирования настроек, улучшено отображение в списке агентов
- [102331] редактор ini-файла не позиционировался на выбранном агенте (если am-5.1)
- [101178] переработана форма управления обновлениями
+ [103587] упрощение меню, поиск в списке агентов
- [103587] большой вертикальный скролл в редакторе ini-файлов

--- 5.1.404 --- 25.04.2014
- [98465] неожиданное подключение к am при показе всплывающей подсказки

--- 5.1.403 --- 03.04.2014
+ [97501] фиксированная ширина столбца "пользователи"
- [97251] не показываются графики в разделе "Статистика"
+ [97249] отображение на графиках разрывов (при перезапусках агентов)

--- 5.1.402 --- 31.03.2014
+ [83362] мягкая остановка агента
+ [97334] отображение изменившихся параметров агента

--- 5.1.401 --- 06.03.2014
+ [95891] redirect to host: отображение redirect-агентов
